#
#
#     Borland Turbo C makefile for linked-list library 
#
#     LARGE model Makefile for lll.lib and lltest.exe
#
#
WARN   = 
CC     = tcc	
CFLAGS = -ml $(WARN)
NOLINK = 
OBJS   = llbase.obj llprim.obj llins.obj llswap.obj llsort.obj 

.c.obj:
	$(CC) -c -O $(CFLAGS) { $*.c }	

#
#  make will deliver a warning on this line, but is required for 
#  nmake and nmk to work properly...
#
all : lltest.exe lll.lib

lltest.exe : lltest.obj lll.lib ll.h
	tlink c:\tc\lib\c0l lltest.obj,lltest.exe,,lll.lib c:\tc\lib\cl

lll.lib : llbase.obj llprim.obj llins.obj llswap.obj llsort.obj 
	tlib lll.lib /c -+llbase.obj-+llprim.obj-+llins.obj-+llswap.obj-+llsort.obj 

llbase.obj : llbase.c ll.h

llprim.obj : llprim.c ll.h

llins.obj  : llins.c ll.h

llswap.obj : llswap.c ll.h

llsort.obj : llsort.c ll.h

lltest.obj : lltest.c

clean:
	-del lltest.exe
	-del lll.lib 
	-del *.obj
	-del *.map

